# Uses of Class
org.jmol.util.Font

Packages that use Font
Package
Description
jspecview.common
jspecview.java
jspecview.js2d
org.jmol.api
org.jmol.awt
org.jmol.awtjs
org.jmol.awtjs2d
org.jmol.export
org.jmol.g3d
Provides a software implementation of complete 3D graphics engine for rendering molecules and associated shapes.
org.jmol.modelset
org.jmol.render
org.jmol.shape
org.jmol.util
org.jmol.viewer

## Uses of Font in jspecview.common

Methods in jspecview.common that return Font
Modifier and Type
Method
Description
`Font`
PanelData.`setFont(Object g, int width, int style, float size, boolean isLabel)`
`Font`
PDFWriter.`setFont(Object g, Font font)`
Methods in jspecview.common with parameters of type Font
Modifier and Type
Method
Description
`Font`
PDFWriter.`setFont(Object g, Font font)`

## Uses of Font in jspecview.java

Methods in jspecview.java that return Font
Modifier and Type
Method
Description
`Font`
AwtG2D.`setFont(Object g, Font font)`
Methods in jspecview.java with parameters of type Font
Modifier and Type
Method
Description
`int`
AwtPlatform.`fontStringWidth(Font font, String text)`
// FONT
`Object`
AwtPlatform.`getFontMetrics(Font font, Object graphics)`
`int[]`
AwtPlatform.`getTextPixels(String text, Font font3d, Object gObj, Object image, int width, int height, int ascent)`
`Font`
AwtG2D.`setFont(Object g, Font font)`

## Uses of Font in jspecview.js2d

Methods in jspecview.js2d that return Font
Modifier and Type
Method
Description
`Font`
JsG2D.`setFont(Object g, Font font)`
Methods in jspecview.js2d with parameters of type Font
Modifier and Type
Method
Description
`int`
JsPlatform.`fontStringWidth(Font font, String text)`
`Object`
JsPlatform.`getFontMetrics(Font font, Object context)`
`int[]`
JsPlatform.`getTextPixels(String text, Font font3d, Object context, Object image, int width, int height, int ascent)`
`Font`
JsG2D.`setFont(Object g, Font font)`

## Uses of Font in org.jmol.api

Methods in org.jmol.api that return Font
Modifier and Type
Method
Description
`Font`
GenericGraphics.`setFont(Object g, Font font)`
Methods in org.jmol.api with parameters of type Font
Modifier and Type
Method
Description
`void`
JmolRendererInterface.`drawString(String str, Font font3d, int xBaseline, int yBaseline, int z, int zSlab, short bgColix)`
draws the specified string in the current font.
`void`
JmolRendererInterface.`drawStringNoSlab(String str, Font font3d, int xBaseline, int yBaseline, int z, short bgColix)`
draws the specified string in the current font.
`int`
FontManager.`fontStringWidth(Font font, String text)`
`Object`
FontManager.`getFontMetrics(Font font, Object graphics)`
`int[]`
GenericPlatform.`getTextPixels(String text, Font font3d, Object gObj, Object image, int mapWidth, int height, int ascent)`
`Font`
GenericGraphics.`setFont(Object g, Font font)`

## Uses of Font in org.jmol.awt

Methods in org.jmol.awt that return Font
Modifier and Type
Method
Description
`Font`
AwtG2D.`setFont(Object g, Font font)`
Methods in org.jmol.awt with parameters of type Font
Modifier and Type
Method
Description
`int`
Platform.`fontStringWidth(Font font, String text)`
// FONT
`Object`
Platform.`getFontMetrics(Font font, Object graphics)`
`int[]`
Platform.`getTextPixels(String text, Font font3d, Object gObj, Object image, int width, int height, int ascent)`
`Font`
AwtG2D.`setFont(Object g, Font font)`

## Uses of Font in org.jmol.awtjs

Methods in org.jmol.awtjs with parameters of type Font
Modifier and Type
Method
Description
`int[]`
Platform.`getTextPixels(String text, Font font3d, Object gObj, Object image, int width, int height, int ascent)`

## Uses of Font in org.jmol.awtjs2d

Methods in org.jmol.awtjs2d that return Font
Modifier and Type
Method
Description
`Font`
JsG2D.`setFont(Object g, Font font)`
Methods in org.jmol.awtjs2d with parameters of type Font
Modifier and Type
Method
Description
`int`
Platform.`fontStringWidth(Font font, String text)`
`Object`
Platform.`getFontMetrics(Font font, Object context)`
`int[]`
Platform.`getTextPixels(String text, Font font3d, Object context, Object image, int width, int height, int ascent)`
`Font`
JsG2D.`setFont(Object g, Font font)`

## Uses of Font in org.jmol.export

Methods in org.jmol.export with parameters of type Font
Modifier and Type
Method
Description
`void`
Export3D.`drawString(String str, Font font3d, int xBaseline, int yBaseline, int z, int zSlab, short bgcolix)`
draws the specified string in the current font.
`void`
Export3D.`drawStringNoSlab(String str, Font font3d, int xBaseline, int yBaseline, int z, short bgcolix)`
draws the specified string in the current font.

## Uses of Font in org.jmol.g3d

Methods in org.jmol.g3d with parameters of type Font
Modifier and Type
Method
Description
`void`
Graphics3D.`drawString(String str, Font font3d, int xBaseline, int yBaseline, int z, int zSlab, short bgColix)`
draws the specified string in the current font.
`void`
Graphics3D.`drawStringNoSlab(String str, Font font3d, int xBaseline, int yBaseline, int z, short bgColix)`
draws the specified string in the current font.
`void`
Graphics3D.`plotText(int x, int y, int z, int argb, int bgargb, String text, Font font3d, JmolRendererInterface jmolRenderer)`
`void`
Graphics3D.`setFont(Font font3d)`

## Uses of Font in org.jmol.modelset

Fields in org.jmol.modelset declared as Font
Modifier and Type
Field
Description
`Font`
Text.`font`
Methods in org.jmol.modelset with parameters of type Font
Modifier and Type
Method
Description
`static Text`
Text.`newEcho(Viewer vwr, Font font, String target, short colix, int valign, int align, float scalePixelsPerMicron)`
`static Text`
Text.`newLabel(Viewer vwr, Font font, String text, short colix, short bgcolix, int align, float scalePixelsPerMicron)`
`static Text`
Text.`newMeasure(Viewer vwr, Font font, short colix)`
`void`
Text.`setFont(Font f3d, boolean doAll)`

## Uses of Font in org.jmol.render

Fields in org.jmol.render declared as Font
Modifier and Type
Field
Description
`protected Font`
FontLineShapeRenderer.`font3d`

## Uses of Font in org.jmol.shape

Fields in org.jmol.shape declared as Font
Modifier and Type
Field
Description
`Font`
Frank.`baseFont3d`
`Font`
FontLineShape.`font3d`
`Font`
Frank.`font3d`
`Font`
Measures.`font3d`
Methods in org.jmol.shape with parameters of type Font
Modifier and Type
Method
Description
`static String`
Shape.`getFontCommand(String type, Font font)`

## Uses of Font in org.jmol.util

Fields in org.jmol.util declared as Font
Modifier and Type
Field
Description
`protected Font`
GData.`currentFont`
Methods in org.jmol.util that return Font
Modifier and Type
Method
Description
`static Font`
Font.`createFont3D(int fontface, int fontstyle, float fontsize, float fontsizeNominal, float fontSizeAngstroms, FontManager manager, Object graphicsForMetrics)`
`static Font`
Font.`getFont3D(int fontID)`
`Font`
GData.`getFont3D(float fontSize)`
`Font`
GData.`getFont3DCurrent()`
`Font`
GData.`getFont3DFS(String fontFace, float fontSize)`
`Font`
GData.`getFont3DFSS(String fontFace, String fontStyle, float fontSize)`
`Font`
GData.`getFont3DScaled(Font font, float scale)`
Methods in org.jmol.util with parameters of type Font
Modifier and Type
Method
Description
`Font`
GData.`getFont3DScaled(Font font, float scale)`
`void`
GData.`plotText(int x, int y, int z, int colorArgbOrGray, int bgColor, String text, Font font3d, JmolRendererInterface jmolRenderer)`
`void`
GData.`setFont(Font font3d)`

## Uses of Font in org.jmol.viewer

Methods in org.jmol.viewer that return Font
Modifier and Type
Method
Description
`Font`
Viewer.`getFont3D(String fontFace, String fontStyle, float fontSize)`